Package fr.gouv.vitam.common.database.builder.query

# Class RangeQuery

java.lang.Object
fr.gouv.vitam.common.database.builder.query.Query
fr.gouv.vitam.common.database.builder.query.RangeQuery

Direct Known Subclasses:
  `RangeQuery`

public class RangeQuery extends Query
Range Query

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.database.builder.query.Query

  `currentObject, currentQuery, currentTokenQUERY, DATE, exactdepth, extraInfo, isFullText, ready, relativedepth`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `RangeQuery()`
  ``
  `RangeQuery(String variableName, BuilderToken.QUERY from, double valueFrom, BuilderToken.QUERY to, double valueTo)`
  Range Query constructor
  ``
  `RangeQuery(String variableName, BuilderToken.QUERY from, long valueFrom, BuilderToken.QUERY to, long valueTo)`
  Range Query constructor
  ``
  `RangeQuery(String variableName, BuilderToken.QUERY from, String valueFrom, BuilderToken.QUERY to, String valueTo)`
  Range Query constructor
  ``
  `RangeQuery(String variableName, BuilderToken.QUERY from, Date valueFrom, BuilderToken.QUERY to, Date valueTo)`
  Range Query constructor

- ## Method Summary

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.query.Query

  `clean, cleanDepth, createQueryArray, createQueryVariable, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, getCurrentObject, getCurrentQuery, getExtraInfo, getNode, getParserExactdepth, getParserRelativeDepth, getQUERY, isFullText, isReady, setDepthLimit, setExactDepthLimit, setExtraInfo, setFullText, setParserExactdepth, setParserRelativeDepth, setReady, setRelativeDepthLimit, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RangeQuery

    protected RangeQuery()

  - ### RangeQuery

    public RangeQuery(String variableName, BuilderToken.QUERY from, long valueFrom, BuilderToken.QUERY to, long valueTo) throws InvalidCreateOperationException
    Range Query constructor
    Parameters:
      `variableName` - key name
      `from` - gt, gte
      `valueFrom` - start value
      `to` - lt, lte
      `valueTo` - end value
    Throws:
      `InvalidCreateOperationException` - when can not create query

  - ### RangeQuery

    public RangeQuery(String variableName, BuilderToken.QUERY from, double valueFrom, BuilderToken.QUERY to, double valueTo) throws InvalidCreateOperationException
    Range Query constructor
    Parameters:
      `variableName` - key name
      `from` - gt, gte
      `valueFrom` - start value
      `to` - lt, lte
      `valueTo` - end value
    Throws:
      `InvalidCreateOperationException` - when can not create query

  - ### RangeQuery

    public RangeQuery(String variableName, BuilderToken.QUERY from, String valueFrom, BuilderToken.QUERY to, String valueTo) throws InvalidCreateOperationException
    Range Query constructor
    Parameters:
      `variableName` - key name
      `from` - gt, gte
      `valueFrom` - start value
      `to` - lt, lte
      `valueTo` - end value
    Throws:
      `InvalidCreateOperationException` - when can not create query

  - ### RangeQuery

    public RangeQuery(String variableName, BuilderToken.QUERY from, Date valueFrom, BuilderToken.QUERY to, Date valueTo) throws InvalidCreateOperationException
    Range Query constructor
    Parameters:
      `variableName` - key name
      `from` - gt, gte
      `valueFrom` - start value
      `to` - lt, lte
      `valueTo` - end value
    Throws:
      `InvalidCreateOperationException` - when can not create query